<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: bmp3_dev Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structbmp3__dev-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">bmp3_dev Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>bmp3 device structure  
 <a href="structbmp3__dev.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="bmp3__defs_8h_source.html">bmp3_defs.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for bmp3_dev:</div>
<div class="dyncontent">
<div class="center"><img src="structbmp3__dev__coll__graph.png" border="0" usemap="#bmp3__dev_coll__map" alt="Collaboration graph"/></div>
<map name="bmp3__dev_coll__map" id="bmp3__dev_coll__map">
<area shape="rect" title="bmp3 device structure" alt="" coords="143,184,234,211"/>
<area shape="rect" href="structbmp3__calib__data.html" title="Calibration data." alt="" coords="122,95,255,121"/>
<area shape="rect" href="structbmp3__reg__calib__data.html" title="Register Trim Variables." alt="" coords="5,5,167,32"/>
<area shape="rect" href="structbmp3__quantized__calib__data.html" title="Quantized Trim Variables." alt="" coords="191,5,395,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a924194c1526c9cf6b846ac66c62f8ced"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#a924194c1526c9cf6b846ac66c62f8ced">chip_id</a></td></tr>
<tr class="separator:a924194c1526c9cf6b846ac66c62f8ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc997a5a7af63e7e518892c4188e9e6f"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#adc997a5a7af63e7e518892c4188e9e6f">intf_ptr</a></td></tr>
<tr class="separator:adc997a5a7af63e7e518892c4188e9e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab34ce30f0d4078d0ca93417702ff1d"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="bmp3__defs_8h.html#a3d202063e29772e3470b2338644ab05d">bmp3_intf</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#a9ab34ce30f0d4078d0ca93417702ff1d">intf</a></td></tr>
<tr class="separator:a9ab34ce30f0d4078d0ca93417702ff1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a306b45e3ed7c2069e1e3366a594cfe01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="bmp3__defs_8h.html#a38ad477a9b791b1375be77a954d7957f">BMP3_INTF_RET_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#a306b45e3ed7c2069e1e3366a594cfe01">intf_rslt</a></td></tr>
<tr class="separator:a306b45e3ed7c2069e1e3366a594cfe01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbd5975a457d69886cf7fb64dec50e72"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#acbd5975a457d69886cf7fb64dec50e72">dummy_byte</a></td></tr>
<tr class="separator:acbd5975a457d69886cf7fb64dec50e72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a056343ee3b4ab8ae54a2ebc844c46199"><td class="memItemLeft" align="right" valign="top"><a class="el" href="bmp3__defs_8h.html#ad602d85f4b48e18c08a4166d591abd6d">bmp3_read_fptr_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#a056343ee3b4ab8ae54a2ebc844c46199">read</a></td></tr>
<tr class="separator:a056343ee3b4ab8ae54a2ebc844c46199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ffd9caba25c47dc58dcfc8937a310e7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="bmp3__defs_8h.html#a089b060920958c2fe49d4550247a3b8d">bmp3_write_fptr_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#a5ffd9caba25c47dc58dcfc8937a310e7">write</a></td></tr>
<tr class="separator:a5ffd9caba25c47dc58dcfc8937a310e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2b96147cfca18db010d5a1844ede1a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="bmp3__defs_8h.html#a903881cd822544f1f4016b4a286c5f76">bmp3_delay_us_fptr_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#aaa2b96147cfca18db010d5a1844ede1a">delay_us</a></td></tr>
<tr class="separator:aaa2b96147cfca18db010d5a1844ede1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0c2c57cc91b5783cf7398d2b7633232"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structbmp3__calib__data.html">bmp3_calib_data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__dev.html#aa0c2c57cc91b5783cf7398d2b7633232">calib_data</a></td></tr>
<tr class="separator:aa0c2c57cc91b5783cf7398d2b7633232"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>bmp3 device structure </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="aa0c2c57cc91b5783cf7398d2b7633232"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0c2c57cc91b5783cf7398d2b7633232">&#9670;&nbsp;</a></span>calib_data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structbmp3__calib__data.html">bmp3_calib_data</a> bmp3_dev::calib_data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Trim data </p>

</div>
</div>
<a id="a924194c1526c9cf6b846ac66c62f8ced"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a924194c1526c9cf6b846ac66c62f8ced">&#9670;&nbsp;</a></span>chip_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t bmp3_dev::chip_id</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Chip Id </p>

</div>
</div>
<a id="aaa2b96147cfca18db010d5a1844ede1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa2b96147cfca18db010d5a1844ede1a">&#9670;&nbsp;</a></span>delay_us</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="bmp3__defs_8h.html#a903881cd822544f1f4016b4a286c5f76">bmp3_delay_us_fptr_t</a> bmp3_dev::delay_us</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Delay function pointer </p>

</div>
</div>
<a id="acbd5975a457d69886cf7fb64dec50e72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbd5975a457d69886cf7fb64dec50e72">&#9670;&nbsp;</a></span>dummy_byte</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t bmp3_dev::dummy_byte</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Decide SPI or I2C read mechanism </p>

</div>
</div>
<a id="a9ab34ce30f0d4078d0ca93417702ff1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ab34ce30f0d4078d0ca93417702ff1d">&#9670;&nbsp;</a></span>intf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="bmp3__defs_8h.html#a3d202063e29772e3470b2338644ab05d">bmp3_intf</a> bmp3_dev::intf</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Interface Selection For SPI, interface = BMP3_SPI_INTF For I2C, interface = BMP3_I2C_INTF </p>

</div>
</div>
<a id="adc997a5a7af63e7e518892c4188e9e6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc997a5a7af63e7e518892c4188e9e6f">&#9670;&nbsp;</a></span>intf_ptr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* bmp3_dev::intf_ptr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The interface pointer is used to enable the user to link their interface descriptors for reference during the implementation of the read and write interfaces to the hardware. </p>

</div>
</div>
<a id="a306b45e3ed7c2069e1e3366a594cfe01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a306b45e3ed7c2069e1e3366a594cfe01">&#9670;&nbsp;</a></span>intf_rslt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="bmp3__defs_8h.html#a38ad477a9b791b1375be77a954d7957f">BMP3_INTF_RET_TYPE</a> bmp3_dev::intf_rslt</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To store interface pointer error </p>

</div>
</div>
<a id="a056343ee3b4ab8ae54a2ebc844c46199"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a056343ee3b4ab8ae54a2ebc844c46199">&#9670;&nbsp;</a></span>read</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="bmp3__defs_8h.html#ad602d85f4b48e18c08a4166d591abd6d">bmp3_read_fptr_t</a> bmp3_dev::read</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read function pointer </p>

</div>
</div>
<a id="a5ffd9caba25c47dc58dcfc8937a310e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ffd9caba25c47dc58dcfc8937a310e7">&#9670;&nbsp;</a></span>write</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="bmp3__defs_8h.html#a089b060920958c2fe49d4550247a3b8d">bmp3_write_fptr_t</a> bmp3_dev::write</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Write function pointer </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="bmp3__defs_8h_source.html">bmp3_defs.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
